complexType "ReportSectionIdentification"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | reportId?, sectionNumber?
</...>

Content Model Elements (2):

  reportId, sectionNumber

Known Direct Subtypes (1):

  ReportIdentification

All Direct / Indirect Based Elements (3):

  reportIdentification (in requestRetransmission), reportIdentification (in valuationReport), | reportIdentification (in valuationReportRetracted)

Known Usage Locations

- In derivations of other global types (1):
  ReportIdentification (as extension base)
- As direct type of elements (1):
  reportIdentification (in requestRetransmission)

Annotation
A type that allows the specific report and section to be identified.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ReportSectionIdentification"> <xsd:sequence> <xsd:element minOccurs="0" name="reportId" type="ReportId"/> <xsd:element minOccurs="0" name="sectionNumber" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
reportId

  Type: | ReportId, simple content

  An identifier for the specific instance of this report.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportId" type="ReportId"/>

sectionNumber

  Type: | xsd:positiveInteger, predefined, simple content

  A strictly ascending sequential (gapless) numeric value that can be used to identify the section of a report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sectionNumber" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.